"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UUID_1 = require("./UUID");
const timers_1 = require("timers");
class Timeout {
    constructor(timeoutMil, callback) {
        const that = this;
        this.isCleared = false;
        this.isCalled = false;
        this.timeoutHook = setTimeout(() => {
            if (!that.isCleared) {
                this.isCalled = true;
                callback();
            }
        }, timeoutMil);
    }
    getId() {
        if (!this.id)
            this.id = UUID_1.generateUUID();
        return this.id;
    }
    clear() {
        if (!this.isCleared) {
            timers_1.clearTimeout(this.timeoutHook);
            this.isCleared = true;
        }
    }
}
exports.default = Timeout;
//# sourceMappingURL=Timeout.js.map